import './modal-dialog.scss';
import './dialog-buttons.scss';
import './dialog-input.scss';
export type ManualCloseDialogOptions = {
    id?: string;
    bodyClasses?: string[];
    dialogClasses?: string[];
    disableBackdropClose?: boolean;
    onClose?: (dialog: ModalDialog) => void;
};
export default class ModalDialog {
    protected content: HTMLElement;
    protected options?: ManualCloseDialogOptions | undefined;
    protected root: HTMLElement | null;
    protected static zIndex: number;
    constructor(content: HTMLElement, options?: ManualCloseDialogOptions | undefined);
    show(): void;
    close(): void;
    destroy(): void;
    protected handleWindowMouseDown: (event: MouseEvent) => void;
}
